/* Custom CSS */
:root {
	--f-text-transform: lowercase;
	--heading-transform-f-letter: uppercase;
	--product-title-transform: lowercase;
}


.product-title,
.elementor-heading-title,
.elementor-slide-heading
{
    text-transform: var(--f-text-transform) !important;
}


div::first-letter,
span::first-letter,
p::first-letter, 
.btn-text::first-letter,
h1::first-letter, 
h2::first-letter, 
a::first-letter,
.product-title::first-letter,
.elementor-heading-title::first-letter,
.elementor-slide-heading::first-letter
{
    text-transform: var(--heading-transform-f-letter) !important;
}
.tax-shipping-delivery-label{
	text-transform: uppercase;
}
#product .product-details-top .product-prices {
  display: none;
}

.elementor-heading-title,.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
  text-transform: var(--body-text-transform);
}

.ava-search-bar #search_category
{
  text-transform: var(--body-text-transform);
}
.ava-search-bar #search_category::first-letter {
  text-transform: var(--heading-transform-f-letter);
}

.avaorg-menu-col ul {
  display: grid;
  grid-template-columns: repeat(2,1fr);
}
.avaorg-menu-col ul li {
  margin-bottom:0px !important;
}

#header-normal #PM_ASCriterionsGroupTitle_2_4.PM_ASCriterionsGroupTitle {
  display: none;
}
#header-normal #PM_ASForm_2 {
  display: flex;
  max-width: 94%;
  margin: 1rem auto 0 auto;
}
#header-normal #PM_ASCriterionsGroup_2_4.PM_ASCriterionsGroupFeature {
  padding: 0 !important;
}

#header-normal .PM_ASCriterionGroupSelect{
	border-end-end-radius: 0;
	border-start-end-radius: 0;
	width: 100%;
  	height: 100%;
}

#header-normal .btn.PM_ASSubmitSearch {
  border-start-start-radius: 0;
  border-end-start-radius: 0;
	font-size: 12px;
  line-height: 37px;
}
#header-normal .PM_ASCriterionsGroupList{
	min-width:280px;
	margin:0;
	width: 100%;
}
#header-normal #PM_ASForm_2 p {
  width: unset;
}
.brands-list img {
  width: 100%;
  height: 70px;
  object-fit: contain;
}






/* Search Widget */

.search-widget form {
    position: relative;
}

.search-widget .form-search-control {
    padding: 0.8rem 1rem;
    padding-right: 2rem;
    padding-left: calc(1rem + 14px);
}

.search-widget .search-btn {
    position: absolute;
    right: 0;
    height: 100%;
    z-index: 4;
    background: none;
    cursor: pointer;
    border: none;
    padding: 0 1em;
    color: #599199;
}

.search-widget .search-btn:hover {
    color: #ba1e2e;
}

/* Header Search Button */
#header-search-btn .dropdown-search {
    padding: 1.5rem;
    min-width: 350px;
    max-width: 400px;
    right: 0;
    left: auto;
}

#header-search-btn .fullscreen-search {
    min-height: 100vh;
    visibility: hidden;
    opacity: 0;
    display: flex;
    flex-wrap: wrap;
    align-items: center !important;
    transition: all 0.3s ease; /* replaced $smooth-transition-timing */
}

#header-search-btn .fullscreen-search #search_widget {
    margin: 0 auto;
    width: 80%;
    z-index: 2;
    position: relative;
    transform: scale(0.8);
    opacity: 0;
    transition: all 0.3s ease; /* replaced $smooth-transition-timing */
}

#header-search-btn .fullscreen-search #fullscreen-search-backdrop {
    z-index: 1;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

#header-search-btn .fullscreen-search .form-search-control {
    font-size: 1.5rem;
    padding: 1.7rem 1.5rem;
}

#header-search-btn .fullscreen-search .search-btn {
    font-size: 1.5rem;
}

#header-search-btn .fullscreen-search .autocomplete-suggestions {
    position: static;
    max-height: 450px;
}

#header-search-btn .fullscreen-search .autocomplete-suggestion img {
    margin-right: 1rem;
    max-width: 80px;
}

/* Show fullscreen search */
#header-search-btn.show .fullscreen-search {
    visibility: visible;
    opacity: 1;
}

#header-search-btn.show #search_widget {
    transform: scale(1);
    opacity: 1;
}


/* Autocomplete */
.autocomplete-suggestions {
    text-align: left;
    cursor: default;
    border: 1px solid #ccc;
    border-top: 0;
    background: #fff;
    box-shadow: -1px 1px 3px rgba(0, 0, 0, 0.1);
    width: 100%;
    top: 100%;
    position: absolute;
    display: none;
    z-index: 999999;
    max-height: 254px;
    overflow: hidden;
    overflow-y: auto;
    box-sizing: border-box;
}

.autocomplete-suggestion {
    padding: 0.6rem;
    position: relative;
    white-space: initial;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: pointer;
    color: #333;
}

.autocomplete-suggestion b {
    font-weight: normal;
    color: #1f8dd6;
}

.autocomplete-suggestion img {
    margin-right: 0.6rem;
    max-width: 60px;
}

.autocomplete-suggestion .product-price {
    display: block;
}

.autocomplete-suggestion-show-all {
    text-align: center;
    font-weight: bold;
    padding: 1rem;
    background: #f0f0f0; /* replaced $gray-light-bg */
    border-top: solid 1px rgba(105, 105, 105, 0.13);
}




#header .header-select-car input::placeholder,
#header .header-select-car input:invalid,
#header #search_widget input::placeholder,
#header #search_widget input:invalid {
    color: #9d9db1;
    font-weight: 600;
}

#header .header-select-car input:invalid option,
#header #search_widget input:invalid option {
    color: #333333;
    font-weight: 400;
}

/* Select arrow */
#header .header-select-car select,
#header #search_widget select {
    background-size: 8px 8px;

}

/* Submit button */




/* Header Select Car */
#header .header-select-car .card {
    border: none;
}

#header .header-select-car .card-block {
    padding: 0;
}

#header .header-select-car .PM_ASResetSearch,
#header .header-select-car .mycar_reset {
    color: #333333;
    z-index: 10;
    padding: 5px;
    max-height: 35px;
    background: #c8f1cb;
    font-size: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 37px;
    margin: 1px 14px 0 -54px;
    font-weight: 700;
}

#header .header-select-car .PM_ASResetSearch:hover,
#header .header-select-car .mycar_reset:hover {
    background-color: #ba1e2e;
    color: #fff;
}

#header .header-select-car .PM_ASResetSearch:before,
#header .header-select-car .mycar_reset:before {
    content: "X";
    font-size: 16px;
}

#header .header-select-car .PM_ASForm {
    background-color: #fff;
    padding: 0 14px;
    margin: auto;
    max-width: 50%;
    position: relative;
    display: flex;
    margin-bottom: 15px;
}

#header .header-select-car .PM_ASForm > .col-xs-12 {
    width: auto;
    padding: 0;
    margin: 0;
    flex: none;
}

#header .header-select-car .PM_ASForm .PM_ASResetGroup {
    display: none;
}

#header .header-select-car .PM_ASForm .PM_ASCriterionsGroupList {
    margin: 0;
    flex-grow: 1;
}

#header .header-select-car .PM_ASForm .PM_ASCriterionsGroupList .PM_ASCriterionsGroup {
    padding: 0;
    width: 100%;
}

#header .header-select-car .PM_ASForm .PM_ASCriterionsGroupList .PM_ASCriterionsGroup .PM_ASCriterionsGroupTitle {
    display: none;
}

#header .header-select-car .PM_ASForm .PM_ASCriterionsGroupList .PM_ASCriterionsGroup select.selected {
    background-color: #c8f1cb;
    font-weight: 600;
}

#header .header-select-car .PM_ASForm .PM_ASCriterionsGroupList .PM_ASCriterionsGroup select.selected option {
    font-weight: normal;
    background-color: #f4f4fb;
}

#header .header-select-car .PM_ASForm .PM_ASCriterionsGroupList .PM_ASCriterionsGroup select option[value=""] {
    display: none;
}

/* Mobile Mode */
#header .header-select-car.PM_ASBlockOutput.PM_ASMobileMode {
    margin-bottom: 10px;
    margin-top: -10px;
}

#header .header-select-car.PM_ASBlockOutput.PM_ASMobileMode .card-header.hidden-sm-up {
    display: none;
}

#header .header-select-car.PM_ASBlockOutput.PM_ASMobileMode .card-block {
    display: block;
}

#header .header-select-car.PM_ASBlockOutput.PM_ASMobileMode .PM_ASForm {
    max-width: 100%;
    margin: 0 10px;
    padding: 5px;
}

#header .header-select-car.PM_ASBlockOutput.PM_ASMobileMode .PM_ASForm .PM_ASCriterionsGroupList .PM_ASCriterionsGroup .PM_ASCriterionsGroupTitle {
    position: initial;
    display: none;
}

/* Media Query */
@media (max-width: 767px) {

    #desktop-header-container #PM_ASBlockOutput_2 {
        display: none;
    }

    #header .header-select-car.PM_ASBlockOutput.PM_ASMobileMode .mycar_reset:not([style*="display: none"]) + .PM_ASForm {
        padding-right: 40px;
    }

    #header .header-select-car input[type="submit"] {
        height: 100%;
        padding: 0.5rem;
    }

    #header .header-select-car .PM_ASResetSearch,
    #header .header-select-car .mycar_reset {
        max-height: 30px;
        margin: 1px 5px 0 -40px;
    }

    .search-widget .form-search-control {
        padding-left: 1rem;
    }

    .search-widget .form-search-control::placeholder {
        color: #9d9db1;
        font-weight: 600;
    }
}



/* Availablity */
.product-available {
  background: #599199;
  color: #ffffff;
}
.product-unavailable {
  background: #a11127;
  color: #fff7f7;
}
.badge {
  margin-block:.5rem; 
  width: fit-content;
  display: inline-block;
  padding: .25em .4em;
  font-size: 75%;
  font-weight: 600;
  line-height: 1;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  border-radius: 0;
}
.product-last-items.badge-warning {
  background: #599199;
	color:#fff;
}
.products:not(.list) .product-grid-style-0 #product-availability {
  position: absolute;
  top: -21px;
  left: 0;
  z-index: 1000;
  left: 50%;
  transform: translate(-50%, -50%);

}
.product-grid-style-0 .product-flags {
  display: none;
}
/* end Availabity */


.products.product-loop:not(.list, .product-list) .product-miniature .product_ref,#featured_home_products .product_ref{
	display:none;
}
#featured_home_products #product-availability {
  display: none;
}
#searchbox svg {
  fill: white;
}

.menu-item.active {
  background: #599199;
}
.menu-item.active a  {
  color: #fff !important;
}
.flotteur {
  position: fixed;
  z-index: 100000;
  left: 0;
  top: 50%;
  transform: translate(0%, -50%);
}
#left-column .PM_ASBlockOutputVertical .PM_ASCriterionsGroupTitle {
  border-bottom: none !important;
  padding: 0 !important;
  margin: 0 0 0rem 0 !important;
  font-size: 18px;
	font-weight: 600;
}
#left-column .PM_ASCriterionsGroupList {
  width:100%;
  margin:1rem 0 !important;
}
ul.grid_list li.selected{
	background:#599199;
	border: 1px solid #599199;
}

.ps_checkout-payment-option .custom-radio {
  margin-right: 4px !important;
}